%define realname Imlib2
%define modname imlib2
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A37_%{modname}.ini

Summary:	Provides an image manipulation interface using libimlib2 for PHP
Name:		php4-%{modname}
Version:	0.1.00
Release:	%mkrel 5
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/imlib2
Source0:	imlib2-%{version}.tar.bz2
Source1:	%{inifile}.bz2
Patch0:		imlib2-0.1.00-lib64.diff.bz2
BuildRequires:	php4-devel
BuildRequires:	imlib2-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-root

%description
imlib2 is a very fast image manipulation library, but without the
support for as many image formats as other libraries such as
imagemagick.

%prep

%setup -q -n imlib2-%{version}
%patch0 -p0

bzcat %{SOURCE1} > %{inifile}

%build

php4ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

# nuke rpath
chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php4/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php4.d/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc docs CREDITS imlib2.php readme.txt
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}

%changelog
* Sat Aug 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.00-5
- rebuilt for php-4.4.4

* Sat Aug 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.00-4mdv2007.0
- rebuilt for php-4.4.3

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.00-3mdk
- rebuild

* Mon Jan 16 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.00-2mdk
- rebuilt against php-4.4.2

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.00-1mdk
- rebuilt for php-4.4.1
- fix versioning

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.1.00-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.1.00-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.1.00-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.1.00-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.1.00-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.1.00-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.1.00-1mdk
- initial mandrake package
- added P0
